//
// Load the fonts.
//

@font-face {
  font-family: "file_icons";
  src        : url("../fonts/file_icons.eot");
  src        : url("../fonts/file_icons.eot#") format("embedded-opentype"),
               url("../fonts/file_icons.woff") format("woff"),
               url("../fonts/file_icons.ttf") format("truetype"),
               url("../fonts/file_icons.svg#file_icons") format("svg");
  font-weight: normal;
  font-style : normal;
}


//
// Icon definitions.
// "fi" stands for "file icons".
//

.fi {
    font-family            : "file_icons";
    font-weight            : normal !important;
    font-style             : normal !important;
    position               : relative;
    display                : inline-block;
    line-height            : 1;
    color                  : inherit;
    // smooth font rendering
    -webkit-font-smoothing : antialiased;
    -moz-osx-font-smoothing: grayscale;

    &.fi-bmp:before {
        content: "\e600";
    }

    &.fi-c:before {
        content: "\e601";
    }

    &.fi-cc:before {
        content: "\e602";
    }

    &.fi-conf:before {
        content: "\e603";
    }

    &.fi-cpp:before {
        content: "\e604";
    }

    &.fi-csh:before {
        content: "\e605";
    }

    &.fi-css:before {
        content: "\e606";
    }

    &.fi-cxx:before {
        content: "\e607";
    }

    &.fi-default:before {
        content: "\e608";
    }

    &.fi-default-alt:before {
        content: "\e609";
    }

    &.fi-default-symlink:before {
        content: "\e60a";
    }

    &.fi-eps:before {
        content: "\e60b";
    }

    &.fi-f:before {
        content: "\e60c";
    }

    &.fi-f03:before {
        content: "\e60d";
    }

    &.fi-f90:before {
        content: "\e60e";
    }

    &.fi-f95:before {
        content: "\e60f";
    }

    &.fi-F:before {
        content: "\e610";
    }

    &.fi-F03:before {
        content: "\e611";
    }

    &.fi-F90:before {
        content: "\e612";
    }

    &.fi-F95:before {
        content: "\e613";
    }

    &.fi-folder:before {
        content: "\e614";
    }

    &.fi-folder-open:before {
        content: "\e615";
    }

    &.fi-folder-symlink:before {
        content: "\e616";
    }

    &.fi-gif:before {
        content: "\e617";
    }

    &.fi-h:before {
        content: "\e618";
    }

    &.fi-html:before {
        content: "\e619";
    }

    &.fi-hxx:before {
        content: "\e61a";
    }

    &.fi-ico:before {
        content: "\e61b";
    }

    &.fi-ini:before {
        content: "\e61c";
    }

    &.fi-jade:before {
        content: "\e61d";
    }

    &.fi-jpeg:before {
        content: "\e61e";
    }

    &.fi-jpg:before {
        content: "\e61f";
    }

    &.fi-js:before {
        content: "\e620";
    }

    &.fi-json:before {
        content: "\e621";
    }

    &.fi-less:before {
        content: "\e622";
    }

    &.fi-lnk:before {
        content: "\e623";
    }

    &.fi-log:before {
        content: "\e624";
    }

    &.fi-m:before {
        content: "\e625";
    }

    &.fi-mako:before {
        content: "\e626";
    }

    &.fi-pdf:before {
        content: "\e627";
    }

    &.fi-png:before {
        content: "\e628";
    }

    &.fi-ps:before {
        content: "\e629";
    }

    &.fi-pxlio:before {
        content: "\e62a";
    }

    &.fi-py:before {
        content: "\e62b";
    }

    &.fi-pyc:before {
        content: "\e62c";
    }

    &.fi-r:before {
        content: "\e62d";
    }

    &.fi-rar:before {
        content: "\e62e";
    }

    &.fi-raw:before {
        content: "\e62f";
    }

    &.fi-root:before {
        content: "\e630";
    }

    &.fi-sh:before {
        content: "\e631";
    }

    &.fi-svg:before {
        content: "\e632";
    }

    &.fi-tar:before {
        content: "\e633";
    }

    &.fi-targz:before {
        content: "\e634";
    }

    &.fi-tex:before {
        content: "\e635";
    }

    &.fi-tif:before {
        content: "\e636";
    }

    &.fi-tiff:before {
        content: "\e637";
    }

    &.fi-txt:before {
        content: "\e638";
    }

    &.fi-xml:before {
        content: "\e639";
    }

    &.fi-yaml:before {
        content: "\e63a";
    }

    &.fi-yml:before {
        content: "\e63b";
    }

    &.fi-zip:before {
        content: "\e63c";
    }
}